io.undertow.util

## Class SameThreadExecutor

- java.lang.Object
- - io.undertow.util.SameThreadExecutor

All Implemented Interfaces:
  Executor

    public class SameThreadExecutor
    extends Object
    implements Executor

Author:
  Stuart Douglas

### Field Summary

Fields
`static Executor` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(Runnable command)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final Executor INSTANCE

### Method Detail

#### execute

    public void execute(Runnable command)

Specified by:
  `execute` in interface `Executor`